Bug 477294 - sat 530 installer (RHEL-4) fails due to cobbler dependency errors
sat 530 installer (RHEL-4) fails due to cobbler dependency errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2008-12-19 22:11 EST by Pradeep Kilambi
Modified: 2009-09-10 15:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2008-12-19 22:11:27 EST
Description of problem:

Sat 530 RHEL-4 installer fails with dep errors:

RHN Satellite installation log.
Command: ./install.pl --answer-file=/root/answers.txt

No updates available for this system
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

Package cobbler  1.3.4-1.el4 requires tftp-server
Package cobbler  1.3.4-1.el4 requires python-devel
Package cobbler  1.3.4-1.el4 requires createrepo
Package cobbler  1.3.4-1.el4 requires mkisofs 

also rhel-4 cobbler should not depend on createrepo.

Thanks,
~ Prad
Comment 1 Dennis Gilmore 2008-12-19 23:01:21 EST
cobbler should depend on createrepo, satellite should be using it to generate the repodata for RHEL5 guests.  there is a createrepo in EPEL,  there is also one that was used by brew.
Comment 2 Pradeep Kilambi 2008-12-20 08:55:09 EST
jus fyi, for rest of the deps we need to include tftp-server,python-devel, mkisofs in updates/rhelrpms in the installer.

~ Prad
Comment 3 Pradeep Kilambi 2008-12-22 14:19:44 EST
fixed the rest of the deps in here:

[pkilambi@prad java]$ locate rhelrpms
/home/pkilambi/code/cvs/rhn/satellite/updates-redhat-linux-as-i386-4/rhelrpms
/home/pkilambi/code/cvs/rhn/satellite/updates-redhat-linux-as-s390-4/rhelrpms
/home/pkilambi/code/cvs/rhn/satellite/updates-redhat-linux-as-s390x-4/rhelrpms
/home/pkilambi/code/cvs/rhn/satellite/updates-redhat-linux-as-x86_64-4/rhelrpms
[pkilambi@prad java]$

these are the only rhelrpms files I can find in our src (cvs/svn/git)..not sure if these are outdated or if we have this file hiding somewhere else. If the above are correct, it now includes tftp-server,python-devel,mkisofs. If there is any other place please lemme know and I can fix there as well.

once we fix the createrepo issue and have the new iso spin I can revalidate the same.

Thanks,
Comment 4 Pradeep Kilambi 2008-12-23 12:25:24 EST
rhelrpms in the devel cvs has been updated to include tftp-server,python-devel,mkisofs. dgilmore also included createrepo in RHEL-4 compose. So we should be all set.

moving to modified.
Comment 5 Pradeep Kilambi 2008-12-23 12:27:14 EST
spacewalk-java now needs new cobbler:

--> Finished Dependency Resolution
Error: Missing Dependency: cobbler >= 1.4 is needed by package spacewalk-taskoma
tic
Error: Missing Dependency: cobbler >= 1.4 is needed by package spacewalk-java

need to include cobbler 1.4 in brew and update the compose to grab the new version of cobbler.

Thanks,
~ Prad
Comment 6 Steve Salevan 2009-01-21 15:52:16 EST
Saw no errors during installation of Satellite 530 (re20081223.2) and after installation, ran the following:

[root@fjs-0-04 ~]# service cobblerd status
cobblerd (pid 26427 26417 26416) is running...

Moving to VERIFIED.
Comment 7 John Matthews 2009-07-28 14:47:41 EDT
Moving to RELEASE_PENDING

I installed ISO:
Satellite-5.3.0-RHEL4-re20090724.0-s390x.iso

Didn't see any install related problems
Comment 8 Brandon Perkins 2009-09-10 15:23:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.